package org.springblade.system.expand.feign;

import org.springblade.system.expand.entity.Operation;
import org.springblade.system.expand.vo.OperationVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class OperationClientFallback implements IOperationClient {
            /**
         * 详情
         */
        @Override
        public OperationVO detail(Operation operation) {
            return null;
        }

        /**
         * 查询 操作密码
         */
        @Override
        public List<OperationVO> list(Operation operation) {
            return null;
        }

    

        /**
         * 新增 操作密码
         */
        @Override
        public boolean save( Operation operation) {
            return false;
        }

        /**
         * 修改 操作密码
         */
        @Override
        public boolean update( Operation operation) {
            return false;
        }

        /**
         * 新增或修改 操作密码
         */
        @Override
        public boolean submit( Operation operation) {
            return false;
        }

    
        /**
         * 删除 操作密码
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
